clsCloud = gideros.class(Sprite)

function clsCloud:init(originX, originY, cloudType)
	local cloudTexture
	if cloudType == 1 then
		cloudTexture = Texture.new("images/cloud1.png",true)
	elseif cloudType == 2 then
		cloudTexture = Texture.new("images/cloud2.png",true)
	elseif cloudType == 3 then
		cloudTexture = Texture.new("images/cloud3.png",true)
	elseif cloudType == 4 then
		cloudTexture = Texture.new("images/cloud4.png",true)
	else
		cloudTexture = Texture.new("images/cloud5.png",true)
end

cloud = Bitmap.new(cloudTexture)
cloud:setPosition(originX, originY)
self:addChild(cloud)

function self:move(moveSpeed)
	local currentX = self:getX()
	self:setX(currentX + moveSpeed/2)
end

function self:destroy()
	self:removeFromParent()
	self = nil
end

end

return clsCloud